2

i can 't run some plugin in gedit. when i run some plugin like " externaltools " program is closed and show this error in the terminal:

> > (gedit:11796): GVFS-RemoteVolumeMonitor-WARNING **: invoking IsSupported() failed for remote volume monitor with dbus name
> org.gtk.Private.GduVolumeMonitor:
> org.freedesktop.DBus.Error.Spawn.ChildSignaled: Process
> /usr/lib/gvfs/gvfs-gdu-volume-monitor received signal 6 Traceback
> (most recent call last):   File "/usr/local/lib/python2.7/site.py",
> line 548, in <module>
>     main()   File "/usr/local/lib/python2.7/site.py", line 530, in main
>     known_paths = addusersitepackages(known_paths)   File "/usr/local/lib/python2.7/site.py", line 266, in addusersitepackages
>     user_site = getusersitepackages()   File "/usr/local/lib/python2.7/site.py", line 241, in getusersitepackages
>     user_base = getuserbase() # this will also set USER_BASE   File "/usr/local/lib/python2.7/site.py", line 231, in getuserbase
>     USER_BASE = get_config_var('userbase')   File "/usr/local/lib/python2.7/sysconfig.py", line 516, in get_config_var
>     return get_config_vars().get(name)   File "/usr/local/lib/python2.7/sysconfig.py", line 449, in get_config_vars
>     import re   File "/usr/local/lib/python2.7/re.py", line 105, in <module>
>     import sre_compile   File "/usr/local/lib/python2.7/sre_compile.py", line 14, in <module>
>     import sre_parse   File "/usr/local/lib/python2.7/sre_parse.py", line 17, in <module>
>     from sre_constants import *   File "/usr/local/lib/python2.7/sre_constants.py", line 18, in <module>
>     from _sre import MAXREPEAT ImportError: cannot import name MAXREPEAT

and question 2: what is the best gedit plugins for programing ?

sorry all for my english :-)

0

enter image description here

Under 'Help -> About' as you can see in the screen shot you'll find the build number of your currently used version of gedit, which you can match up with available Gedit Plugins on their HP.

I suggest you delete the broken plugins(s) and re-install it/them, matching your build. For External Tools plugin there is an extensive documentation on their HP, which might contain some useful information to you!

  • It may be worth a shot to simply reconfigure the plugin in your case:

Using External Tools:

  1. To install the plugin, go to Edit -> Preferences -> Plugins -> External Tools.
  2. To configure the plugin, go to Tools -> Manage External Tools.... A dialog will appear and you can start adding tools.
  3. To run tools, go to Tools -> External Tools or use (if applicable) associated shortcut keys.

As for your second question, please refer to the plugin-link above, also here and here.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.